# MatPartitioningChacoSetEigenSolver

Set method for eigensolver.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningChacoSetEigenSolver(MatPartitioning part,
        MPChacoEigenType method)

### Input Parameter

method -MP_CHACO_LANCZOS or MP_CHACO_RQI_SYMMLQ

Level:advanced
Location: src/mat/partition/impls/chaco/chaco.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages